#include <stdio.h>
#include <stdlib.h>

int main()
{
   int n,i,j;
   scanf("%d",&n);
   int a[n];

   for(i=0;i<n;i++){
    scanf("%d",&a[i]);
   }

   int hely;

for(i=0;i<n-1;i++) {
     hely=i;
   for(j=i+1;j<n;j++){
    if(a[hely]<a[j]){
     hely=j;
    }
   }
  if(hely!=i){
    int temp=a[i];
    a[i]=a[hely];
    a[hely]=temp;
    for(j=0;j<n;j++){
        printf("%d ",a[j]);
    }
    return 0;
  }

 }
 int temp=a[i];
    a[i]=a[n-2];
    a[n-2]=temp;
    for(j=0;j<n;j++){
        printf("%d ",a[j]);
    }

    return 0;
}